<?xml version="1.0" encoding="utf-8"?>

<File Version="1.0">
	<ExtensionPoint ID="CascadeStyleSheet" Enable="1">
		<Plugin ID="GK::ProfileDialog" Bundle="..\CSS.dll" Enable="1">
			<ExtraConfig>
				<Item Name="Default" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="" BGImage="Image\GK\Theme1\DialogCommon.png" SizeToImage="1"/>
				<Item Name="PushButton" Width="75" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_CENTER | BS_VCENTER | BS_PUSHBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="IconButton" Width="75" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_CENTER | BS_VCENTER | BS_PUSHBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ToggleButton" Width="75" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_CENTER | BS_VCENTER | BS_AUTOCHECKBOX | BS_PUSHLIKE" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="GroupBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | BS_GROUPBOX" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="CheckBox" Width="59" Height="16" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_AUTOCHECKBOX" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="RadioButton" Width="57" Height="16" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | BS_NOTIFY | BS_AUTORADIOBUTTON" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="TextEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="24" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="NumberEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="ComboBox" Width="72" Height="21" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_BORDER | CBS_DROPDOWNLIST" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ListBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_VSCROLL | LBS_NOTIFY | LBS_NOINTEGRALHEIGHT" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="16" FontBold="" FontItalic="" FontUnderline="" FGColor="#FFFFFF" BGColor="#000000" BGTrans=""/>
				<Item Name="Label" Width="29" Height="16" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_CENTER" StyleEx="" FontName="" FontHeight="16" FontBold="" FontItalic="" FontUnderline="" FGColor="#CDCDCD" BGColor="" BGTrans="1"/>
				<Item Name="Line" Width="100" Height="1" Style="WS_CHILD | WS_VISIBLE | SS_GRAYRECT" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ScrollBar" Width="60" Height="18" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | SBS_HORZ" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="SliderCtrl" Width="150" Height="24" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | TBS_HORZ | TBS_BOTH | TBS_NOTICKS" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ProgressBar" Width="120" Height="23" Style="WS_CHILD | WS_VISIBLE" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="TabCtrl" Width="75" Height="49" Style="WS_CHILD | WS_VISIBLE" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="IPAddressCtrl" Width="150" Height="24" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="MessageCtrl" Width="75" Height="49" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | WS_VSCROLL | WS_HSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="LinkCtrl" Width="29" Height="13" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="MaskEdit" Width="60" Height="23" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_LEFT | ES_AUTOHSCROLL" StyleEx="WS_EX_CLIENTEDGE" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans=""/>
				<Item Name="ImageBox" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="1"/>
				<Item Name="ImageList" Width="72" Height="65" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY" StyleEx="" FontName="" FontHeight="" FontBold="" FontItalic="" FontUnderline="" FGColor="" BGColor="" BGTrans="1"/>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="CWTWindowPrototype" Enable="1">
		<Plugin ID="GK::ProfileDialog" Bundle="..\CWT.dll" Enable="1">
			<Collaboration ExtensionPointID="CascadeStyleSheet" PluginID="GK::ProfileDialog"/>
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="GK::ProfileDialog"/>
			<ExtraConfig>
				<FreeLayout>
					<!--Title Bar-->
					<Label X="20" Y="15" Width="150" FontHeight="20" Text="情景模式編輯" ID="GK::ID_PF_SettingLabel" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/>
					<ImageList X="455" Y="9" Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_PF_Close">
						<Image File="Image\GK\Theme1\button_close_normal.png"/>
						<Image File="Image\GK\Theme1\button_close_over.png"/>
					</ImageList>
					
					<!-- profile combox -->
					<Label X="56" Y="52" Width="200" FontHeight="20" Text="選擇配置文件" ID="GK::ID_PF_SelectPFLabel" Style="WS_CHILD | WS_VISIBLE | SS_NOTIFY | SS_LEFT"/>
					<TextEdit X="58" Y="82" Width="345" Height="26" ID="GK::ID_PF_Edit_FileName" Style="WS_CHILD | WS_VISIBLE | WS_TABSTOP | ES_CENTER | ES_AUTOHSCROLL" StyleEx=""/>
					<ImageBox X="56" Y="80" SizeToImage="1" ID="GK::ID_PF_Edit_FileName_EditBox" File="Image\GK\Theme1\common_combo_big.png"/>
					<Label X="404" Y="78" Width="28" Height="29" BGTrans="0" ID="GK::ID_PF_CurrentFile"/>
					<VirtualBox X="56" Y="78" Width="350" Height="29">
						<ColumnLayout ColAlignV="center" ColWidth="350">
							<Label BGTrans="0" Text="Profile0" FontHeight="20" ID="GK::ID_PF_CurrentFileLabel"/>
						</ColumnLayout>
					</VirtualBox>
					
					<!-- hotkey-->
					<Label Visible="0" X="56" Y="152" Width="200" FontHeight="20" Text="快捷键" ID="GK::ID_PF_HotKeyPFLabel" Style="WS_CHILD | SS_NOTIFY | SS_LEFT"/>
					<Label Visible="0" X="56" Y="179" Width="375" Height="29" BGTrans="0" ID="GK::ID_PF_CurrentHotKey"/>
					<VirtualBox X="56" Y="179" Width="350" Height="29">
						<ColumnLayout ColAlignV="center" ColWidth="350">
							<Label Visible="0" BGTrans="0" Text="FN + 1" FontHeight="20" ID="GK::ID_PF_CurrentHotKeyLabel"/>
						</ColumnLayout>
					</VirtualBox>
					<!--invisible-->
					<ListBox X="55" Y="208" Width="377" Height="120" Visible="0" ID="GK::ID_PF_HotKeyList" TrackMouse="1">
					    <Item>No Hotkey</Item>
						<Item>FN + 0</Item>
						<Item>FN + 1</Item>
						<Item>FN + 2</Item>
						<Item>FN + 3</Item>
						<Item>FN + 4</Item>
						<Item>FN + 5</Item>
						<Item>FN + 6</Item>
						<Item>FN + 7</Item>
						<Item>FN + 8</Item>
						<Item>FN + 9</Item>
					</ListBox>

					<!--buttons-->
					<VirtualBox X="80" Y="170" Width="400" Height="35">
						<ColumnLayout ColSpace="100" >
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_PF_New">
								<Image File="Image\GK\Theme1\dialog_button_normal.png"/>
								<Image File="Image\GK\Theme1\dialog_button_over.png"/>
							</ImageList>
		
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_PF_Delete">
								<Image File="Image\GK\Theme1\dialog_button_normal.png"/>
								<Image File="Image\GK\Theme1\dialog_button_over.png"/>
							</ImageList>
							<!--ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_PF_Import">
								<Image File="Image\GK\Theme1\dialog_button_normal.png"/>
								<Image File="Image\GK\Theme1\dialog_button_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_PF_Export">
								<Image File="Image\GK\Theme1\dialog_button_normal.png"/>
								<Image File="Image\GK\Theme1\dialog_button_over.png"/>
							</ImageList-->
						</ColumnLayout>
					</VirtualBox>
					<VirtualBox X="35" Y="170" Width="400" Height="35"> 
						<ColumnLayout ColSpace="6" ColWidth="equal" ColAlignV="center" >
							<Label Text="新建" FontHeight="20" FGColor="#fd9f00" ID="GK::ID_PF_NewLabel"/>
							<Label Text="刪除" FontHeight="20" FGColor="#fd9f00" ID="GK::ID_PF_DeleteLabel"/>
							<!--Label Text="導入" FontHeight="20" FGColor="#fd9f00" ID="GK::ID_PF_ImportLabel"/>
							<Label Text="導出" FontHeight="20" FGColor="#fd9f00" ID="GK::ID_PF_ExportLabel"/-->
						</ColumnLayout>
					</VirtualBox>

					<!--right bottom corner-->
					<VirtualBox X="80" Y="244" Width="334" Height="30"> 
						<ColumnLayout ColSpace="6">
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_PF_OK">
								<Image File="Image\GK\Theme1\button_okcancel_normal.png"/>
								<Image File="Image\GK\Theme1\button_okcancel_over.png"/>
							</ImageList>
							<ImageList Active="0" OnOverActive="1" SizeToImage="1" ID="GK::ID_PF_Cancel">
								<Image File="Image\GK\Theme1\button_okcancel_normal.png"/>
								<Image File="Image\GK\Theme1\button_okcancel_over.png"/>
							</ImageList>
						</ColumnLayout>
					</VirtualBox>
					<VirtualBox X="80" Y="244" Width="334" Height="30"> <!--the same rect to image-->
						<ColumnLayout ColSpace="6" ColWidth="equal" ColAlignV="center">
							<Label Text="確定" FontHeight="20" FGColor="#fd9f00" ID="GK::ID_PF_OKLabel"/>
							<Label Text="取消" FontHeight="20" FGColor="#fd9f00" ID="GK::ID_PF_CancelLabel"/>
						</ColumnLayout>
					</VirtualBox>

					<!--invisible-->
					<ListBox X="55" Y="108" Width="377" Height="120" Visible="0" ID="GK::ID_PF_FileSelect" TrackMouse="1">
						<Item>Profile0</Item>
						<Item>Profile1</Item>
						<Item>Profile2</Item>
					</ListBox>
					<NumberEdit Visible="0" ID="GK::ID_PF_EditingPorfileIndex"/>

				</FreeLayout>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="CWTEventListener" Enable="1">
		<Plugin ID="GK::ProfileDialog" Bundle="GamingKeyboardMain.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbAppSetting" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbDialogInvoker" PluginID="GK::RenameDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvokerExt" PluginID="GK::RenameDialog"/>
			<ExtraConfig>
				<Profile FileFilter="Profile (*.prf)|*.prf|All Files (*.*)|*.*||" DefFileExt=".prf"/>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbDialogInvoker" Enable="1">
		<Plugin ID="GK::ProfileDialog" Bundle="..\DialogInvoker.dll" Enable="1">
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::ProfileDialog"/>
			<Collaboration ExtensionPointID="I_PbDialogInvokerExt" PluginID="GK::ProfileDialog"/>
			<ExtraConfig>
				<Title>Profile</Title>
				<Size Width="400" Height="300" Resize="0" NoFrame="1"/>
			</ExtraConfig>
		</Plugin>
	</ExtensionPoint>
	
	<ExtensionPoint ID="I_PbDialogInvokerExt" Enable="1">
		<Plugin ID="GK::ProfileDialog" Bundle="GamingKeyboardMain.dll" Enable="1">
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbSkinTextColor" PluginID="GK::ProfileDialog"/>
			<Collaboration ExtensionPointID="I_PbSkinLanguage" PluginID="GK::ProfileDialog"/>
		</Plugin>
	</ExtensionPoint>
</File>
